
<?php



$serverName = "(local)\SQLINSTANCIA"; //serverName\instanceName

// Since UID and PWD are not specified in the $connectionInfo array,
// The connection will be attempted using Windows Authentication.
//$connectionInfo = array( "Database"=>"prefrio","UID"=>"sa","PWD"=>"ats475");
//$conn = sqlsrv_connect( $serverName, $connectionInfo);

include "include/conexion.php";

conexion();

$mensaje="";
$itemSelect=array();

if( $conn ) {

$boton=@$_REQUEST["boton"];
$idproceso=@$_REQUEST["idproceso"];


    if ($boton) {
        header("Content-type: text/csv");
        header("Content-Disposition: attachment; filename=proceso{$idproceso}.csv");
        header("Pragma: no-cache");
        header("Expires: 0");

        $sql = "SELECT 1 planta
                ,pp.id_camara
                , pp.id_proceso
                ,(DATEADD(MINUTE,pp.fecha_inicio,'2005-01-01')) fechainicio
                ,format(DATEADD(MINUTE,pp.fecha_fin,'2005-01-01'),'ddMMyyyy hhmm') fechafin
                ,'99,99' tempfinal
                ,pp.Pallets
                ,'0' pinchado
                ,format(DATEADD(MINUTE,hp.fecha,'2005-01-01'),'ddMMyyyy hhmm') fechalectura
                ,hp.valor
                ,hp.sensor
                ,hp.sensor_tipo
             FROM pf_proceso pp
                INNER JOIN pf_historico_proceso hp ON pp.id_proceso=hp.proceso
            where pp.id_proceso={$idproceso}
                order by hp.fecha
            ";
			
			$rowsDB=array();
			$filas=0;
			
			ejecutarsql($sql,&$filas,&$rowsDB);
			
     

        $csvArr = array();
        foreach($rowsDB as $row) {
            if ($row !== null) {
                $csvArr[] = $row;

            }
        }
        $finalRow = end($csvArr);
        $finalTemp = str_replace('.', ',', $finalRow['valor'] / 10);


//$out = fopen('php://output', 'w');
        foreach ($csvArr as $row) {
            $row['tempfinal'] = $finalTemp;
            $row['valor'] = str_replace('.', ',', $row['valor'] / 10);
            $txtArr = array();
            foreach ($row as $cell) {
                $txtArr[] = '"' . $cell . '"';
            }
            echo implode(',', $txtArr) . "\n";
        }
        die(1);
    } else {
        $sql = "SELECT pp.id_proceso,pp.id_camara
          ,(DATEADD(MINUTE,pp.fecha_inicio,'2005-01-01')) fecha_inicio
             FROM pf_proceso pp
             order by pp.id_proceso
            ";
      		$rowsDB=array();
			$filas=0;
			
			ejecutarsql($sql,&$filas,&$rowsDB);
			var_dump($rowsDB);
         foreach($rowsDB as $row) {
            if ($row !== null) {
                $itemSelect[] = $row;
            }
        }
    }


}else{
    $mensaje="No se puede conectar a la base de datos";
}


//fclose($out);


include "gencsview.php";

@sqlsrv_free_stmt( $stmt);
?>


